CURSES_DEFAULT_COLORS(3)

NAME
curses_default_colors, assume_default_colors, use_default_colors - curses default colors setting routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
assume_default_colors(short fore, short back);
int
use_default_colors();

DESCRIPTION
These functions tell the curses library to set the default colors or to use the terminal's default colors instead of using the default colors for curses applications (which are white foreground on black background).

The function assume_default_colors(fore, back) sets the default colors to foreground color fore and background color back. If a value of -1 is used for a color, then the terminal default color is used for that color.

The function use_default_colors() sets both the foreground and background colors to the terminal default colors. This is equivalent to assume_default_colors(-1, -1).

RETURN VALUES
These functions return OK on success and ERR on failure.

SEE ALSO
curses_color(3)

STANDARDS
These functions are based on ncurses extensions to the curses standards.

HISTORY
These functions first appeared in NetBSD 2.0.